
Installer - Bug #30121

ssh-keygen on EL8 generates private keys in RFC4716 format, net-ssh requires PEM format

06/15/2020 08:08 AM - Adam Ruzicka

Status: Closed   

Priority: Normal   

Assignee: Adam Ruzicka   

Category: Foreman modules   

Target version: 2.1.0   

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman_proxy/pull/600

  

Description

see https://community.theforeman.org/t/problem-with-foreman-2-1rc2-with-remote-execution-on-centos-8/19084/18?u=aruzicka for

details

Associated revisions

Revision e74674d8 - 06/15/2020 02:29 PM - Adam Ruzicka

Fixes #30121 - Generate SSH keys in PEM format

On EL8 the keys get generated in RFC4716 which doesn't play well with

the version of net-ssh we currently ship.

History

#1 - 06/15/2020 08:11 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/600 added

#2 - 06/15/2020 02:29 PM - The Foreman Bot

- Fixed in Releases 2.2.0 added

#3 - 06/15/2020 02:41 PM - Tomer Brisker

- Target version set to 2.1.0

#4 - 06/15/2020 03:01 PM - Adam Ruzicka

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy|e74674d8f597e61658fa701ea6d4c8fee654859e.

#5 - 06/17/2020 01:00 PM - Tomer Brisker

- Fixed in Releases 2.1.0 added

- Fixed in Releases deleted (2.2.0)
